SPARSE_KEYMAP_FREE(9)

NAME
sparse_keymap_free - free memory allocated for sparse keymap

SYNOPSIS

void sparse_keymap_free(struct input_dev * dev);

ARGUMENTS

dev
    Input device using sparse keymap

DESCRIPTION

This function is used to free memory allocated by sparse keymap in an input device that was set up by sparse_keymap_setup.

NOTE

It is safe to cal this function while input device is still registered (however the drivers should care not to try to use freed keymap and thus have to shut off interrupts/polling before freeing the keymap).

COPYRIGHT